# Class McastServiceImpl.SenderThread

java.lang.Object
java.lang.Thread
org.apache.catalina.tribes.membership.McastServiceImpl.SenderThread

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `McastServiceImpl`

public class McastServiceImpl.SenderThread extends Thread
Thread that sends multicast packets.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Thread

  `Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SenderThread(long time)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `run()`

  ### Methods inherited from class Thread

  `activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, threadId, toString, yield`

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SenderThread

    public SenderThread(long time)
    Constructor.
    Parameters:
      `time` - the send interval

- ## Method Details

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`